# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "small_is_prime"
version = "0.1.0"
build = false
exclude = ["bench.sh"]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "primality tests for the primitive integer types"
readme = "readme.md"
keywords = [
    "prime",
    "miller-rabin",
    "number-theory",
]
categories = [
    "no-std::no-alloc",
    "mathematics",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/m-mueller678/small_is_prime"

[lib]
name = "small_is_prime"
path = "src/lib.rs"

[[test]]
name = "test"
path = "tests/test.rs"

[[bench]]
name = "is_prime_bench"
path = "benches/is_prime_bench.rs"
harness = false

[dependencies.num-modular]
version = "0.6.1"

[dev-dependencies.criterion]
version = "0.5"

[dev-dependencies.num-bigint-dig]
version = "0.9.1"
features = ["prime"]

[dev-dependencies.rand]
version = "0.10.1"
default-features = false

[dev-dependencies.rand_xoshiro]
version = "0.8"

[profile.test]
opt-level = 3
